15.2. List Environment Variables


Description

Get a list of all environment variables associated with the specified application.

Method and URL Structure

Expand
Method Resource URL
GET /broker/rest/application/:id/environment-variables

Request Parameters

Not applicable

cURL Command Example

$ curl -X GET https://openshift.redhat.com/broker/rest/application/534253991015616165707776/environment-variables --user user@example.com

JSON Response

The API returns the environment variables resource with a list of all available environment variables for the specified application. Unnecessary information and other resource links have been removed for brevity. See Chapter 15, Environment Variables for more information on all parameters for environment variables.

{
  "api_version": 1.6,
  "data": {
    "name": "MY_ENV_VAR",
    "value": "myvalue"
  },
  "messages": [
    {
      "exit_code": 0,
      "field": null,
      "severity": "info",
      "text": "Showing environment variable 'MY_ENV_VAR' for application myapp"
    }
  ],
  "status": "ok",
    "supported_api_versions": [
    1.0,
    1.1,
    1.2,
    1.3,
    1.4,
    1.5,
    1.6
  ],
  "type": "environment-variable",
  "version": "1.6"
}

Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top